Package org.pentaho.reporting.libraries.formula.parser

# Class GeneratedFormulaParserTokenManager

java.lang.Object
org.pentaho.reporting.libraries.formula.parser.GeneratedFormulaParserTokenManager

All Implemented Interfaces:
  `GeneratedFormulaParserConstants`

public class GeneratedFormulaParserTokenManager extends Object implements GeneratedFormulaParserConstants
Token Manager.

## Field Summary

Fields
Modifier and Type
Field
Description
`PrintStream`
`debugStream`
Debug output.
`static final int[]`
`jjnewLexState`
Lex State array.
`static final String[]`
`jjstrLiteralImages`
Token literal values.
`static final String[]`
`lexStateNames`
Lexer state names.

### Fields inherited from interface org.pentaho.reporting.libraries.formula.parser.GeneratedFormulaParserConstants

`APPROXIMATE_NUMERIC_LITERAL, BINARY_DIGIT, COLON, COLUMN_LOOKUP, COMMA, CONCAT, DEFAULT, DIGIT, DIV, DQUOTE, EOF, EQUALS, EXACT_NUMERIC_LITERAL, EXPONENT_PART, GT, GT_EQUALS, HEX_DIGIT, IDENTIFIER, L_BRACE, L_BRACKET, L_PAREN, LETTER, LT, LT_EQUALS, MANTISSA, MINUS, MULT, NEWLINE, NON_ZERO_DIGIT, NONQUOTE_CHARACTER, NONQUOTE_LOOKUP, NOT_EQUALS, NULL, PERCENT, PERIOD, PIPE, PLUS, POW, QUEST, QUOTE, R_BRACE, R_BRACKET, R_PAREN, SEMICOLON, SIGN, STRING_LITERAL, tokenImage, UNSIGNED_INTEGER, UNSIGNED_NUMERIC_LITERAL, WHITESPACE`

## Constructor Summary

Constructors
Constructor
Description
`GeneratedFormulaParserTokenManager(JavaCharStream stream)`
Constructor.
`GeneratedFormulaParserTokenManager(JavaCharStream stream, int lexState)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Token`
`getNextToken()`
Get the next Token.
`void`
`ReInit(JavaCharStream stream)`
Reinitialise parser.
`void`
`ReInit(JavaCharStream stream, int lexState)`
Reinitialise parser.
`void`
`setDebugStream(PrintStream ds)`
Set debug output.
`void`
`SwitchTo(int lexState)`
Switch to specified lex state.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### debugStream

public PrintStream debugStream
Debug output.

### jjstrLiteralImages

public static final String[] jjstrLiteralImages
Token literal values.

### lexStateNames

public static final String[] lexStateNames
Lexer state names.

### jjnewLexState

public static final int[] jjnewLexState
Lex State array.

## Constructor Details

### GeneratedFormulaParserTokenManager

public GeneratedFormulaParserTokenManager(JavaCharStream stream)
Constructor.

### GeneratedFormulaParserTokenManager

public GeneratedFormulaParserTokenManager(JavaCharStream stream, int lexState)
Constructor.

## Method Details

### setDebugStream

public void setDebugStream(PrintStream ds)
Set debug output.

### getNextToken

public Token getNextToken()
Get the next Token.

### ReInit

public void ReInit(JavaCharStream stream)
Reinitialise parser.

### ReInit

public void ReInit(JavaCharStream stream, int lexState)
Reinitialise parser.

### SwitchTo

public void SwitchTo(int lexState)
Switch to specified lex state.